Package org.silverpeas.components.projectmanager.model

## Class TaskDetail

- java.lang.Object
- - org.silverpeas.components.projectmanager.model.TaskDetail

- All Implemented Interfaces:
    `Serializable`

      public class TaskDetail
      extends Object
      implements Serializable

  Author:
    neysseri
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CANCELLED` |
    `static int` | `COMPLETE` |
    `static int` | `IN_ALERT` |
    `static int` | `IN_PROGRESS` |
    `static int` | `NOT_STARTED` |
    `static int` | `STOPPED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDetail()` |
    `TaskDetail​(int id, int mereId, int chrono, String nom, String description, int organisateurId, int responsableId, float charge, float consomme, float raf, int statut, Date dateDebut, Date dateFin, String codeProjet, String descriptionProjet, int estDecomposee, String instanceId, String path)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.contribution.model.Contribution` | `asContribution()` |
    `List<org.silverpeas.core.contribution.attachment.model.SimpleDocument>` | `getAttachments()` |
    `int` | `getAvancement()` |
    `float` | `getCharge()` |
    `int` | `getChrono()` |
    `String` | `getCodeProjet()` |
    `float` | `getConsomme()` |
    `String` | `getContributionType()` |
    `Date` | `getDateDebut()` |
    `Date` | `getDateFin()` |
    `String` | `getDescription()` |
    `String` | `getDescriptionProjet()` |
    `int` | `getEstDecomposee()` |
    `int` | `getId()` |
    `String` | `getInstanceId()` |
    `int` | `getLevel()` |
    `int` | `getMereId()` |
    `String` | `getNom()` |
    `String` | `getOrganisateurFullName()` |
    `int` | `getOrganisateurId()` |
    `String` | `getPath()` |
    `int` | `getPreviousTaskId()` |
    `String` | `getPreviousTaskName()` |
    `float` | `getRaf()` |
    `Collection<TaskResourceDetail>` | `getResources()` |
    `static String` | `getResourceType()` | The type of this resource
    `String` | `getResponsableFullName()` |
    `int` | `getResponsableId()` |
    `int` | `getStatut()` |
    `String` | `getUiCodeProjet()` |
    `String` | `getUiDateDebut()` |
    `String` | `getUiDateDebutPlus1()` |
    `String` | `getUiDateFin()` |
    `String` | `getUiDescription()` |
    `String` | `getUiDescriptionProjet()` |
    `boolean` | `isDeletionAvailable()` |
    `boolean` | `isUnfold()` |
    `boolean` | `isUpdateAvailable()` |
    `void` | `setAttachments​(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> vector)` |
    `void` | `setCharge​(float f)` |
    `void` | `setCharge​(String f)` |
    `void` | `setChrono​(int i)` |
    `void` | `setCodeProjet​(String i)` |
    `void` | `setConsomme​(float f)` |
    `void` | `setConsomme​(String f)` |
    `void` | `setDateDebut​(Date string)` |
    `void` | `setDateFin​(Date string)` |
    `void` | `setDeletionAvailable​(boolean b)` |
    `void` | `setDescription​(String string)` |
    `void` | `setDescriptionProjet​(String string)` |
    `void` | `setEstDecomposee​(int i)` |
    `void` | `setId​(int i)` |
    `void` | `setInstanceId​(String string)` |
    `void` | `setLevel​(int i)` |
    `void` | `setMereId​(int i)` |
    `void` | `setNom​(String string)` |
    `void` | `setOrganisateurFullName​(String string)` |
    `void` | `setOrganisateurId​(int i)` |
    `void` | `setOrganisateurId​(String s)` |
    `void` | `setPath​(String string)` |
    `void` | `setPreviousTaskId​(int i)` |
    `void` | `setPreviousTaskName​(String string)` |
    `void` | `setRaf​(float f)` |
    `void` | `setRaf​(String f)` |
    `void` | `setResourceIds​(Collection<TaskResourceDetail> resources)` |
    `void` | `setResources​(Collection<TaskResourceDetail> resources)` |
    `void` | `setResponsableFullName​(String string)` |
    `void` | `setResponsableId​(int i)` |
    `void` | `setStatut​(int i)` |
    `void` | `setUiDateDebut​(String string)` |
    `void` | `setUiDateDebutPlus1​(String string)` |
    `void` | `setUiDateFin​(String string)` |
    `void` | `setUnfold​(boolean b)` |
    `void` | `setUpdateAvailable​(boolean b)` |
    `String` | `toString()` |
    `org.silverpeas.core.personalorganizer.model.TodoDetail` | `toTodoDetail()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IN_PROGRESS

          public static final int IN_PROGRESS

      See Also:
        Constant Field Values

    - #### STOPPED

          public static final int STOPPED

      See Also:
        Constant Field Values

    - #### CANCELLED

          public static final int CANCELLED

      See Also:
        Constant Field Values

    - #### COMPLETE

          public static final int COMPLETE

      See Also:
        Constant Field Values

    - #### IN_ALERT

          public static final int IN_ALERT

      See Also:
        Constant Field Values

    - #### NOT_STARTED

          public static final int NOT_STARTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskDetail

          public TaskDetail()

    - #### TaskDetail

          public TaskDetail​(int id,
                            int mereId,
                            int chrono,
                            String nom,
                            String description,
                            int organisateurId,
                            int responsableId,
                            float charge,
                            float consomme,
                            float raf,
                            int statut,
                            Date dateDebut,
                            Date dateFin,
                            String codeProjet,
                            String descriptionProjet,
                            int estDecomposee,
                            String instanceId,
                            String path)

  - ### Method Detail

    - #### getAvancement

          public int getAvancement()

      Returns:

    - #### getCharge

          public float getCharge()

      Returns:

    - #### getChrono

          public int getChrono()

      Returns:

    - #### getCodeProjet

          public String getCodeProjet()

      Returns:

    - #### getConsomme

          public float getConsomme()

      Returns:

    - #### getDateDebut

          public Date getDateDebut()

      Returns:

    - #### getDateFin

          public Date getDateFin()

      Returns:

    - #### getDescription

          public String getDescription()

      Returns:

    - #### getDescriptionProjet

          public String getDescriptionProjet()

      Returns:

    - #### getEstDecomposee

          public int getEstDecomposee()

      Returns:

    - #### getId

          public int getId()

      Returns:

    - #### getInstanceId

          public String getInstanceId()

      Returns:

    - #### getMereId

          public int getMereId()

      Returns:

    - #### getNom

          public String getNom()

      Returns:

    - #### getOrganisateurId

          public int getOrganisateurId()

      Returns:

    - #### getRaf

          public float getRaf()

      Returns:

    - #### getResponsableId

          public int getResponsableId()

      Returns:

    - #### getResources

          public Collection<TaskResourceDetail> getResources()

    - #### setResources

          public void setResources​(Collection<TaskResourceDetail> resources)

    - #### getStatut

          public int getStatut()

      Returns:

    - #### setCharge

          public void setCharge​(float f)

      Parameters:
        `f` -

    - #### setCharge

          public void setCharge​(String f)

    - #### setChrono

          public void setChrono​(int i)

      Parameters:
        `i` -

    - #### setCodeProjet

          public void setCodeProjet​(String i)

      Parameters:
        `i` -

    - #### setConsomme

          public void setConsomme​(float f)

      Parameters:
        `f` -

    - #### setConsomme

          public void setConsomme​(String f)

    - #### setDateDebut

          public void setDateDebut​(Date string)

      Parameters:
        `string` -

    - #### setDateFin

          public void setDateFin​(Date string)

      Parameters:
        `string` -

    - #### setDescription

          public void setDescription​(String string)

      Parameters:
        `string` -

    - #### setDescriptionProjet

          public void setDescriptionProjet​(String string)

      Parameters:
        `string` -

    - #### setEstDecomposee

          public void setEstDecomposee​(int i)

      Parameters:
        `i` -

    - #### setId

          public void setId​(int i)

      Parameters:
        `i` -

    - #### setInstanceId

          public void setInstanceId​(String string)

      Parameters:
        `string` -

    - #### setMereId

          public void setMereId​(int i)

      Parameters:
        `i` -

    - #### setNom

          public void setNom​(String string)

      Parameters:
        `string` -

    - #### setOrganisateurId

          public void setOrganisateurId​(int i)

      Parameters:
        `i` -

    - #### setOrganisateurId

          public void setOrganisateurId​(String s)

    - #### setRaf

          public void setRaf​(float f)

      Parameters:
        `f` -

    - #### setRaf

          public void setRaf​(String f)

    - #### setResponsableId

          public void setResponsableId​(int i)

      Parameters:
        `i` -

    - #### setStatut

          public void setStatut​(int i)

      Parameters:
        `i` -

    - #### getPath

          public String getPath()

      Returns:

    - #### setPath

          public void setPath​(String string)

      Parameters:
        `string` -

    - #### toTodoDetail

          public org.silverpeas.core.personalorganizer.model.TodoDetail toTodoDetail()

    - #### setResourceIds

          public void setResourceIds​(Collection<TaskResourceDetail> resources)

    - #### getResponsableFullName

          public String getResponsableFullName()

      Returns:

    - #### setResponsableFullName

          public void setResponsableFullName​(String string)

      Parameters:
        `string` -

    - #### getUiDateDebut

          public String getUiDateDebut()

      Returns:

    - #### getUiDateFin

          public String getUiDateFin()

      Returns:

    - #### setUiDateDebut

          public void setUiDateDebut​(String string)

      Parameters:
        `string` -

    - #### setUiDateFin

          public void setUiDateFin​(String string)

      Parameters:
        `string` -

    - #### getUiCodeProjet

          public String getUiCodeProjet()

    - #### getUiDescriptionProjet

          public String getUiDescriptionProjet()

    - #### getUiDescription

          public String getUiDescription()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getOrganisateurFullName

          public String getOrganisateurFullName()

      Returns:

    - #### setOrganisateurFullName

          public void setOrganisateurFullName​(String string)

      Parameters:
        `string` -

    - #### getAttachments

          public List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> getAttachments()

      Returns:

    - #### setAttachments

          public void setAttachments​(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> vector)

      Parameters:
        `vector` -

    - #### isUnfold

          public boolean isUnfold()

      Returns:

    - #### setUnfold

          public void setUnfold​(boolean b)

      Parameters:
        `b` -

    - #### getLevel

          public int getLevel()

      Returns:

    - #### setLevel

          public void setLevel​(int i)

      Parameters:
        `i` -

    - #### isDeletionAvailable

          public boolean isDeletionAvailable()

      Returns:

    - #### isUpdateAvailable

          public boolean isUpdateAvailable()

      Returns:

    - #### setDeletionAvailable

          public void setDeletionAvailable​(boolean b)

      Parameters:
        `b` -

    - #### setUpdateAvailable

          public void setUpdateAvailable​(boolean b)

      Parameters:
        `b` -

    - #### getPreviousTaskId

          public int getPreviousTaskId()

      Returns:

    - #### setPreviousTaskId

          public void setPreviousTaskId​(int i)

      Parameters:
        `i` -

    - #### getUiDateDebutPlus1

          public String getUiDateDebutPlus1()

      Returns:

    - #### setUiDateDebutPlus1

          public void setUiDateDebutPlus1​(String string)

      Parameters:
        `string` -

    - #### getPreviousTaskName

          public String getPreviousTaskName()

      Returns:

    - #### setPreviousTaskName

          public void setPreviousTaskName​(String string)

      Parameters:
        `string` -

    - #### getContributionType

          public String getContributionType()

    - #### getResourceType

          public static String getResourceType()

      The type of this resource
      Returns:
        the same value returned by getContributionType()

    - #### asContribution

          public org.silverpeas.core.contribution.model.Contribution asContribution()